%global namedreltag -M8
%global namedversion %{version}%{?namedreltag}
Name:                mavibot
Version:             1.0.0
Release:             1
Summary:             ApacheDS MVCC BTree implementation
License:             ASL 2.0
URL:                 http://directory.apache.org/mavibot/
Source0:             http://www.apache.org/dist/directory/mavibot/dist/%{namedversion}/%{name}-%{namedversion}-src.tar.gz
BuildRequires:       maven-local mvn(commons-collections:commons-collections)
BuildRequires:       mvn(commons-io:commons-io) mvn(junit:junit)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-release-plugin) mvn(org.slf4j:slf4j-api)
BuildRequires:       mvn(org.slf4j:slf4j-log4j12)
BuildArch:           noarch
%description
Mavibot is a Multi Version Concurrency Control (MVCC) BTree in Java. It
is expected to be a replacement for JDBM (The current back-end for the
Apache Directory Server), but could be a good fit for any other project
in need of a Java MVCC BTree implementation.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
find . -name "*.class" -delete
find . -name "*.jar" -print -delete
rm -r docs
%pom_remove_parent
%pom_disable_module distribution
%pom_remove_plugin org.apache.geronimo.genesis.plugins:tools-maven-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :findbugs-maven-plugin
rm mavibot/src/test/java/org/apache/directory/mavibot/btree/BulkLoaderTest.java
rm mavibot/src/test/java/org/apache/directory/mavibot/btree/PageReclaimerTest.java
rm mavibot/src/test/java/org/apache/directory/mavibot/btree/PersistedBTreeBrowseTest.java
%mvn_file :%{name} %{name}

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Sat Aug 22 2020 Jeffery.Gao <gaojianxing@huawei.com> - 1.0.0-1
- package init
